;================================================================================
; Description:      Chaos Crypting Engine
; Author(s):        MrBond007
; Comments:			Encrypt/Decrypt Files Not Strings
;					Press {F4} Anytime To Exit
;					:)
;================================================================================
#include <GUIConstants.au3>
#include <String.au3>
#include <File.au3>
#include <Array.au3>

Global $sHotkeyClose   = "{F4}"
HotKeySet($sHotkeyClose, "exitr")

Dim $str2

GUICreate("Chaos Crypting Endgine", 395, 120)
GUICtrlCreateLabel("Input File", 10, 20, 55, 20)
$inp1 = GUICtrlCreateInput("", 65, 17, 250, 20)
$but1 = GUICtrlCreateButton("Choose", 320, 17, 50, 20)
GUICtrlCreateLabel("Output File", 10, 50, 55, 20)
$inp2 = GUICtrlCreateInput("", 65, 47, 250, 20)
$but2 = GUICtrlCreateButton("Choose", 320, 47, 50, 20)
$but4 = GUICtrlCreateButton("Encrypt", 5, 85, 85, 20)
$but5 = GUICtrlCreateButton("Decrypt", 105, 85, 85, 20)
$but6 = GUICtrlCreateButton("Generate Table", 205, 85, 85, 20)
$but7 = GUICtrlCreateButton("Exit", 305, 85, 85, 20)
GUISetState()

While 1
	$msg = GUIGetMsg()
	If $msg = $but1 Then
		$dia1 = FileOpenDialog("", "", "(*.*)", 1)
		GUICtrlSetData($inp1, $dia1)
	EndIf
	If $msg = $but2 Then
		$dia2 = FileSaveDialog("", "", "(*.*)", 16)
		GUICtrlSetData($inp2, $dia2)
	EndIf
	If $msg = $but4 Then
		If GUICtrlRead($inp1) = "" Then ExitLoop
		If GUICtrlRead($inp2) = "" Then ExitLoop
		encr()
	EndIf
	If $msg = $but5 Then
		If GUICtrlRead($inp1) = "" Then ExitLoop
		If GUICtrlRead($inp2) = "" Then ExitLoop
		decr()
	EndIf
	If $msg = $but6 Then
		GuiCtrlSetState($but4, $GUI_DISABLE)
		GuiCtrlSetState($but5, $GUI_DISABLE)
		GuiCtrlSetState($but6, $GUI_DISABLE)
		GuiCtrlSetState($but7, $GUI_DISABLE)
		tabler()
		GuiCtrlSetState($but4, $GUI_ENABLE)
		GuiCtrlSetState($but5, $GUI_ENABLE)
		GuiCtrlSetState($but6, $GUI_ENABLE)
		GuiCtrlSetState($but7, $GUI_ENABLE)
		MsgBox(0,"","Chaos Table generated", 3)
	EndIf
	If $msg = $but7 Then Exit
	If $msg = $GUI_EVENT_CLOSE Then Exit
WEnd
;--------------------------------------------------------------------------
Func encr()
	GuiCtrlSetState($but4, $GUI_DISABLE)
	GuiCtrlSetState($but5, $GUI_DISABLE)
	GuiCtrlSetState($but6, $GUI_DISABLE)
	GuiCtrlSetState($but7, $GUI_DISABLE)
	$input = GUICtrlRead($inp1)
	$output = GUICtrlRead($inp2)
	$hFile = FileOpen($input, 0)
	For $i = 1 To FileGetSize($input)
		$char = FileRead($hFile, 1)
		$str = StringTrimLeft(Hex(Asc($char)), 6)
;		$read = StringTrimLeft(FileRead($input, $i), $i - 1)
;		$str = StringTrimLeft(Hex(Asc($read)), 6)
		If $str = "00" Then $str2 = "A2"
		If $str = "01" Then $str2 = "28"
		If $str = "02" Then $str2 = "B2"
		If $str = "03" Then $str2 = "70"
		If $str = "04" Then $str2 = "81"
		If $str = "05" Then $str2 = "E2"
		If $str = "06" Then $str2 = "97"
		If $str = "07" Then $str2 = "2A"
		If $str = "08" Then $str2 = "E1"
		If $str = "09" Then $str2 = "25"
		If $str = "0A" Then $str2 = "3A"
		If $str = "0B" Then $str2 = "2C"
		If $str = "0C" Then $str2 = "FC"
		If $str = "0D" Then $str2 = "D6"
		If $str = "0E" Then $str2 = "9A"
		If $str = "0F" Then $str2 = "90"
		If $str = "10" Then $str2 = "59"
		If $str = "11" Then $str2 = "B3"
		If $str = "12" Then $str2 = "57"
		If $str = "13" Then $str2 = "C7"
		If $str = "14" Then $str2 = "1E"
		If $str = "15" Then $str2 = "45"
		If $str = "16" Then $str2 = "98"
		If $str = "17" Then $str2 = "5F"
		If $str = "18" Then $str2 = "1B"
		If $str = "19" Then $str2 = "4E"
		If $str = "1A" Then $str2 = "E4"
		If $str = "1B" Then $str2 = "EA"
		If $str = "1C" Then $str2 = "F4"
		If $str = "1D" Then $str2 = "40"
		If $str = "1E" Then $str2 = "60"
		If $str = "1F" Then $str2 = "1A"
		If $str = "20" Then $str2 = "8B"
		If $str = "21" Then $str2 = "13"
		If $str = "22" Then $str2 = "CB"
		If $str = "23" Then $str2 = "B5"
		If $str = "24" Then $str2 = "5E"
		If $str = "25" Then $str2 = "41"
		If $str = "26" Then $str2 = "09"
		If $str = "27" Then $str2 = "74"
		If $str = "28" Then $str2 = "DD"
		If $str = "29" Then $str2 = "AC"
		If $str = "2A" Then $str2 = "EC"
		If $str = "2B" Then $str2 = "A0"
		If $str = "2C" Then $str2 = "C9"
		If $str = "2D" Then $str2 = "BE"
		If $str = "2E" Then $str2 = "B7"
		If $str = "2F" Then $str2 = "C1"
		If $str = "30" Then $str2 = "08"
		If $str = "31" Then $str2 = "CF"
		If $str = "32" Then $str2 = "85"
		If $str = "33" Then $str2 = "BF"
		If $str = "34" Then $str2 = "0B"
		If $str = "35" Then $str2 = "D4"
		If $str = "36" Then $str2 = "D0"
		If $str = "37" Then $str2 = "7C"
		If $str = "38" Then $str2 = "31"
		If $str = "39" Then $str2 = "4B"
		If $str = "3A" Then $str2 = "B9"
		If $str = "3B" Then $str2 = "D5"
		If $str = "3C" Then $str2 = "9C"
		If $str = "3D" Then $str2 = "14"
		If $str = "3E" Then $str2 = "20"
		If $str = "3F" Then $str2 = "EB"
		If $str = "40" Then $str2 = "94"
		If $str = "41" Then $str2 = "01"
		If $str = "42" Then $str2 = "39"
		If $str = "43" Then $str2 = "D9"
		If $str = "44" Then $str2 = "23"
		If $str = "45" Then $str2 = "26"
		If $str = "46" Then $str2 = "4F"
		If $str = "47" Then $str2 = "2B"
		If $str = "48" Then $str2 = "47"
		If $str = "49" Then $str2 = "3B"
		If $str = "4A" Then $str2 = "AD"
		If $str = "4B" Then $str2 = "02"
		If $str = "4C" Then $str2 = "10"
		If $str = "4D" Then $str2 = "BD"
		If $str = "4E" Then $str2 = "05"
		If $str = "4F" Then $str2 = "4A"
		If $str = "50" Then $str2 = "6D"
		If $str = "51" Then $str2 = "50"
		If $str = "52" Then $str2 = "F0"
		If $str = "53" Then $str2 = "4C"
		If $str = "54" Then $str2 = "0C"
		If $str = "55" Then $str2 = "92"
		If $str = "56" Then $str2 = "0D"
		If $str = "57" Then $str2 = "21"
		If $str = "58" Then $str2 = "E3"
		If $str = "59" Then $str2 = "6E"
		If $str = "5A" Then $str2 = "5A"
		If $str = "5B" Then $str2 = "F5"
		If $str = "5C" Then $str2 = "38"
		If $str = "5D" Then $str2 = "D7"
		If $str = "5E" Then $str2 = "A5"
		If $str = "5F" Then $str2 = "5B"
		If $str = "60" Then $str2 = "37"
		If $str = "61" Then $str2 = "E7"
		If $str = "62" Then $str2 = "8F"
		If $str = "63" Then $str2 = "C8"
		If $str = "64" Then $str2 = "F1"
		If $str = "65" Then $str2 = "7F"
		If $str = "66" Then $str2 = "DE"
		If $str = "67" Then $str2 = "04"
		If $str = "68" Then $str2 = "CD"
		If $str = "69" Then $str2 = "46"
		If $str = "6A" Then $str2 = "52"
		If $str = "6B" Then $str2 = "5C"
		If $str = "6C" Then $str2 = "6A"
		If $str = "6D" Then $str2 = "99"
		If $str = "6E" Then $str2 = "8C"
		If $str = "6F" Then $str2 = "42"
		If $str = "70" Then $str2 = "9F"
		If $str = "71" Then $str2 = "49"
		If $str = "72" Then $str2 = "48"
		If $str = "73" Then $str2 = "32"
		If $str = "74" Then $str2 = "1D"
		If $str = "75" Then $str2 = "44"
		If $str = "76" Then $str2 = "7E"
		If $str = "77" Then $str2 = "72"
		If $str = "78" Then $str2 = "68"
		If $str = "79" Then $str2 = "D2"
		If $str = "7A" Then $str2 = "78"
		If $str = "7B" Then $str2 = "24"
		If $str = "7C" Then $str2 = "18"
		If $str = "7D" Then $str2 = "CA"
		If $str = "7E" Then $str2 = "AE"
		If $str = "7F" Then $str2 = "54"
		If $str = "80" Then $str2 = "51"
		If $str = "81" Then $str2 = "16"
		If $str = "82" Then $str2 = "C6"
		If $str = "83" Then $str2 = "83"
		If $str = "84" Then $str2 = "B1"
		If $str = "85" Then $str2 = "D8"
		If $str = "86" Then $str2 = "1F"
		If $str = "87" Then $str2 = "58"
		If $str = "88" Then $str2 = "A4"
		If $str = "89" Then $str2 = "8E"
		If $str = "8A" Then $str2 = "75"
		If $str = "8B" Then $str2 = "73"
		If $str = "8C" Then $str2 = "E0"
		If $str = "8D" Then $str2 = "E6"
		If $str = "8E" Then $str2 = "7D"
		If $str = "8F" Then $str2 = "0E"
		If $str = "90" Then $str2 = "35"
		If $str = "91" Then $str2 = "63"
		If $str = "92" Then $str2 = "BA"
		If $str = "93" Then $str2 = "11"
		If $str = "94" Then $str2 = "2F"
		If $str = "95" Then $str2 = "CE"
		If $str = "96" Then $str2 = "12"
		If $str = "97" Then $str2 = "A6"
		If $str = "98" Then $str2 = "66"
		If $str = "99" Then $str2 = "96"
		If $str = "9A" Then $str2 = "B4"
		If $str = "9B" Then $str2 = "FB"
		If $str = "9C" Then $str2 = "9D"
		If $str = "9D" Then $str2 = "3D"
		If $str = "9E" Then $str2 = "3E"
		If $str = "9F" Then $str2 = "1C"
		If $str = "A0" Then $str2 = "EE"
		If $str = "A1" Then $str2 = "BB"
		If $str = "A2" Then $str2 = "A1"
		If $str = "A3" Then $str2 = "ED"
		If $str = "A4" Then $str2 = "D3"
		If $str = "A5" Then $str2 = "30"
		If $str = "A6" Then $str2 = "D1"
		If $str = "A7" Then $str2 = "03"
		If $str = "A8" Then $str2 = "27"
		If $str = "A9" Then $str2 = "84"
		If $str = "AA" Then $str2 = "8D"
		If $str = "AB" Then $str2 = "69"
		If $str = "AC" Then $str2 = "07"
		If $str = "AD" Then $str2 = "67"
		If $str = "AE" Then $str2 = "86"
		If $str = "AF" Then $str2 = "2D"
		If $str = "B0" Then $str2 = "53"
		If $str = "B1" Then $str2 = "AB"
		If $str = "B2" Then $str2 = "A8"
		If $str = "B3" Then $str2 = "C3"
		If $str = "B4" Then $str2 = "61"
		If $str = "B5" Then $str2 = "8A"
		If $str = "B6" Then $str2 = "0F"
		If $str = "B7" Then $str2 = "F7"
		If $str = "B8" Then $str2 = "C4"
		If $str = "B9" Then $str2 = "FD"
		If $str = "BA" Then $str2 = "C2"
		If $str = "BB" Then $str2 = "F9"
		If $str = "BC" Then $str2 = "15"
		If $str = "BD" Then $str2 = "64"
		If $str = "BE" Then $str2 = "DF"
		If $str = "BF" Then $str2 = "95"
		If $str = "C0" Then $str2 = "DA"
		If $str = "C1" Then $str2 = "5D"
		If $str = "C2" Then $str2 = "A3"
		If $str = "C3" Then $str2 = "B0"
		If $str = "C4" Then $str2 = "6F"
		If $str = "C5" Then $str2 = "19"
		If $str = "C6" Then $str2 = "B6"
		If $str = "C7" Then $str2 = "55"
		If $str = "C8" Then $str2 = "6C"
		If $str = "C9" Then $str2 = "BC"
		If $str = "CA" Then $str2 = "91"
		If $str = "CB" Then $str2 = "82"
		If $str = "CC" Then $str2 = "17"
		If $str = "CD" Then $str2 = "F8"
		If $str = "CE" Then $str2 = "A7"
		If $str = "CF" Then $str2 = "E9"
		If $str = "D0" Then $str2 = "88"
		If $str = "D1" Then $str2 = "80"
		If $str = "D2" Then $str2 = "22"
		If $str = "D3" Then $str2 = "71"
		If $str = "D4" Then $str2 = "3F"
		If $str = "D5" Then $str2 = "DB"
		If $str = "D6" Then $str2 = "CC"
		If $str = "D7" Then $str2 = "4D"
		If $str = "D8" Then $str2 = "0A"
		If $str = "D9" Then $str2 = "9E"
		If $str = "DA" Then $str2 = "36"
		If $str = "DB" Then $str2 = "EF"
		If $str = "DC" Then $str2 = "AF"
		If $str = "DD" Then $str2 = "77"
		If $str = "DE" Then $str2 = "89"
		If $str = "DF" Then $str2 = "34"
		If $str = "E0" Then $str2 = "43"
		If $str = "E1" Then $str2 = "AA"
		If $str = "E2" Then $str2 = "F2"
		If $str = "E3" Then $str2 = "29"
		If $str = "E4" Then $str2 = "FE"
		If $str = "E5" Then $str2 = "79"
		If $str = "E6" Then $str2 = "E5"
		If $str = "E7" Then $str2 = "A9"
		If $str = "E8" Then $str2 = "65"
		If $str = "E9" Then $str2 = "76"
		If $str = "EA" Then $str2 = "62"
		If $str = "EB" Then $str2 = "7A"
		If $str = "EC" Then $str2 = "87"
		If $str = "ED" Then $str2 = "56"
		If $str = "EE" Then $str2 = "00"
		If $str = "EF" Then $str2 = "F6"
		If $str = "F0" Then $str2 = "FF"
		If $str = "F1" Then $str2 = "C0"
		If $str = "F2" Then $str2 = "C5"
		If $str = "F3" Then $str2 = "6B"
		If $str = "F4" Then $str2 = "F3"
		If $str = "F5" Then $str2 = "3C"
		If $str = "F6" Then $str2 = "B8"
		If $str = "F7" Then $str2 = "06"
		If $str = "F8" Then $str2 = "9B"
		If $str = "F9" Then $str2 = "FA"
		If $str = "FA" Then $str2 = "7B"
		If $str = "FB" Then $str2 = "2E"
		If $str = "FC" Then $str2 = "93"
		If $str = "FD" Then $str2 = "33"
		If $str = "FE" Then $str2 = "DC"
		If $str = "FF" Then $str2 = "E8"
		FileWrite($output, Chr(Dec($str2)))
	Next
	FileClose($input)
	GuiCtrlSetState($but4, $GUI_ENABLE)
	GuiCtrlSetState($but5, $GUI_ENABLE)
	GuiCtrlSetState($but6, $GUI_ENABLE)
	GuiCtrlSetState($but7, $GUI_ENABLE)
EndFunc
;--------------------------------------------------------------------------
Func decr()
	GuiCtrlSetState($but4, $GUI_DISABLE)
	GuiCtrlSetState($but5, $GUI_DISABLE)
	GuiCtrlSetState($but6, $GUI_DISABLE)
	GuiCtrlSetState($but7, $GUI_DISABLE)
	$input = GUICtrlRead($inp1)
	$output = GUICtrlRead($inp2)
	$hFile = FileOpen($input, 0)
	For $i = 1 To FileGetSize($input)
		$char = FileRead($hFile, 1)
		$str = StringTrimLeft(Hex(Asc($char)), 6)
		If $str = "A2" Then $str2 = "00"
		If $str = "28" Then $str2 = "01"
		If $str = "B2" Then $str2 = "02"
		If $str = "70" Then $str2 = "03"
		If $str = "81" Then $str2 = "04"
		If $str = "E2" Then $str2 = "05"
		If $str = "97" Then $str2 = "06"
		If $str = "2A" Then $str2 = "07"
		If $str = "E1" Then $str2 = "08"
		If $str = "25" Then $str2 = "09"
		If $str = "3A" Then $str2 = "0A"
		If $str = "2C" Then $str2 = "0B"
		If $str = "FC" Then $str2 = "0C"
		If $str = "D6" Then $str2 = "0D"
		If $str = "9A" Then $str2 = "0E"
		If $str = "90" Then $str2 = "0F"
		If $str = "59" Then $str2 = "10"
		If $str = "B3" Then $str2 = "11"
		If $str = "57" Then $str2 = "12"
		If $str = "C7" Then $str2 = "13"
		If $str = "1E" Then $str2 = "14"
		If $str = "45" Then $str2 = "15"
		If $str = "98" Then $str2 = "16"
		If $str = "5F" Then $str2 = "17"
		If $str = "1B" Then $str2 = "18"
		If $str = "4E" Then $str2 = "19"
		If $str = "E4" Then $str2 = "1A"
		If $str = "EA" Then $str2 = "1B"
		If $str = "F4" Then $str2 = "1C"
		If $str = "40" Then $str2 = "1D"
		If $str = "60" Then $str2 = "1E"
		If $str = "1A" Then $str2 = "1F"
		If $str = "8B" Then $str2 = "20"
		If $str = "13" Then $str2 = "21"
		If $str = "CB" Then $str2 = "22"
		If $str = "B5" Then $str2 = "23"
		If $str = "5E" Then $str2 = "24"
		If $str = "41" Then $str2 = "25"
		If $str = "09" Then $str2 = "26"
		If $str = "74" Then $str2 = "27"
		If $str = "DD" Then $str2 = "28"
		If $str = "AC" Then $str2 = "29"
		If $str = "EC" Then $str2 = "2A"
		If $str = "A0" Then $str2 = "2B"
		If $str = "C9" Then $str2 = "2C"
		If $str = "BE" Then $str2 = "2D"
		If $str = "B7" Then $str2 = "2E"
		If $str = "C1" Then $str2 = "2F"
		If $str = "08" Then $str2 = "30"
		If $str = "CF" Then $str2 = "31"
		If $str = "85" Then $str2 = "32"
		If $str = "BF" Then $str2 = "33"
		If $str = "0B" Then $str2 = "34"
		If $str = "D4" Then $str2 = "35"
		If $str = "D0" Then $str2 = "36"
		If $str = "7C" Then $str2 = "37"
		If $str = "31" Then $str2 = "38"
		If $str = "4B" Then $str2 = "39"
		If $str = "B9" Then $str2 = "3A"
		If $str = "D5" Then $str2 = "3B"
		If $str = "9C" Then $str2 = "3C"
		If $str = "14" Then $str2 = "3D"
		If $str = "20" Then $str2 = "3E"
		If $str = "EB" Then $str2 = "3F"
		If $str = "94" Then $str2 = "40"
		If $str = "01" Then $str2 = "41"
		If $str = "39" Then $str2 = "42"
		If $str = "D9" Then $str2 = "43"
		If $str = "23" Then $str2 = "44"
		If $str = "26" Then $str2 = "45"
		If $str = "4F" Then $str2 = "46"
		If $str = "2B" Then $str2 = "47"
		If $str = "47" Then $str2 = "48"
		If $str = "3B" Then $str2 = "49"
		If $str = "AD" Then $str2 = "4A"
		If $str = "02" Then $str2 = "4B"
		If $str = "10" Then $str2 = "4C"
		If $str = "BD" Then $str2 = "4D"
		If $str = "05" Then $str2 = "4E"
		If $str = "4A" Then $str2 = "4F"
		If $str = "6D" Then $str2 = "50"
		If $str = "50" Then $str2 = "51"
		If $str = "F0" Then $str2 = "52"
		If $str = "4C" Then $str2 = "53"
		If $str = "0C" Then $str2 = "54"
		If $str = "92" Then $str2 = "55"
		If $str = "0D" Then $str2 = "56"
		If $str = "21" Then $str2 = "57"
		If $str = "E3" Then $str2 = "58"
		If $str = "6E" Then $str2 = "59"
		If $str = "5A" Then $str2 = "5A"
		If $str = "F5" Then $str2 = "5B"
		If $str = "38" Then $str2 = "5C"
		If $str = "D7" Then $str2 = "5D"
		If $str = "A5" Then $str2 = "5E"
		If $str = "5B" Then $str2 = "5F"
		If $str = "37" Then $str2 = "60"
		If $str = "E7" Then $str2 = "61"
		If $str = "8F" Then $str2 = "62"
		If $str = "C8" Then $str2 = "63"
		If $str = "F1" Then $str2 = "64"
		If $str = "7F" Then $str2 = "65"
		If $str = "DE" Then $str2 = "66"
		If $str = "04" Then $str2 = "67"
		If $str = "CD" Then $str2 = "68"
		If $str = "46" Then $str2 = "69"
		If $str = "52" Then $str2 = "6A"
		If $str = "5C" Then $str2 = "6B"
		If $str = "6A" Then $str2 = "6C"
		If $str = "99" Then $str2 = "6D"
		If $str = "8C" Then $str2 = "6E"
		If $str = "42" Then $str2 = "6F"
		If $str = "9F" Then $str2 = "70"
		If $str = "49" Then $str2 = "71"
		If $str = "48" Then $str2 = "72"
		If $str = "32" Then $str2 = "73"
		If $str = "1D" Then $str2 = "74"
		If $str = "44" Then $str2 = "75"
		If $str = "7E" Then $str2 = "76"
		If $str = "72" Then $str2 = "77"
		If $str = "68" Then $str2 = "78"
		If $str = "D2" Then $str2 = "79"
		If $str = "78" Then $str2 = "7A"
		If $str = "24" Then $str2 = "7B"
		If $str = "18" Then $str2 = "7C"
		If $str = "CA" Then $str2 = "7D"
		If $str = "AE" Then $str2 = "7E"
		If $str = "54" Then $str2 = "7F"
		If $str = "51" Then $str2 = "80"
		If $str = "16" Then $str2 = "81"
		If $str = "C6" Then $str2 = "82"
		If $str = "83" Then $str2 = "83"
		If $str = "B1" Then $str2 = "84"
		If $str = "D8" Then $str2 = "85"
		If $str = "1F" Then $str2 = "86"
		If $str = "58" Then $str2 = "87"
		If $str = "A4" Then $str2 = "88"
		If $str = "8E" Then $str2 = "89"
		If $str = "75" Then $str2 = "8A"
		If $str = "73" Then $str2 = "8B"
		If $str = "E0" Then $str2 = "8C"
		If $str = "E6" Then $str2 = "8D"
		If $str = "7D" Then $str2 = "8E"
		If $str = "0E" Then $str2 = "8F"
		If $str = "35" Then $str2 = "90"
		If $str = "63" Then $str2 = "91"
		If $str = "BA" Then $str2 = "92"
		If $str = "11" Then $str2 = "93"
		If $str = "2F" Then $str2 = "94"
		If $str = "CE" Then $str2 = "95"
		If $str = "12" Then $str2 = "96"
		If $str = "A6" Then $str2 = "97"
		If $str = "66" Then $str2 = "98"
		If $str = "96" Then $str2 = "99"
		If $str = "B4" Then $str2 = "9A"
		If $str = "FB" Then $str2 = "9B"
		If $str = "9D" Then $str2 = "9C"
		If $str = "3D" Then $str2 = "9D"
		If $str = "3E" Then $str2 = "9E"
		If $str = "1C" Then $str2 = "9F"
		If $str = "EE" Then $str2 = "A0"
		If $str = "BB" Then $str2 = "A1"
		If $str = "A1" Then $str2 = "A2"
		If $str = "ED" Then $str2 = "A3"
		If $str = "D3" Then $str2 = "A4"
		If $str = "30" Then $str2 = "A5"
		If $str = "D1" Then $str2 = "A6"
		If $str = "03" Then $str2 = "A7"
		If $str = "27" Then $str2 = "A8"
		If $str = "84" Then $str2 = "A9"
		If $str = "8D" Then $str2 = "AA"
		If $str = "69" Then $str2 = "AB"
		If $str = "07" Then $str2 = "AC"
		If $str = "67" Then $str2 = "AD"
		If $str = "86" Then $str2 = "AE"
		If $str = "2D" Then $str2 = "AF"
		If $str = "53" Then $str2 = "B0"
		If $str = "AB" Then $str2 = "B1"
		If $str = "A8" Then $str2 = "B2"
		If $str = "C3" Then $str2 = "B3"
		If $str = "61" Then $str2 = "B4"
		If $str = "8A" Then $str2 = "B5"
		If $str = "0F" Then $str2 = "B6"
		If $str = "F7" Then $str2 = "B7"
		If $str = "C4" Then $str2 = "B8"
		If $str = "FD" Then $str2 = "B9"
		If $str = "C2" Then $str2 = "BA"
		If $str = "F9" Then $str2 = "BB"
		If $str = "15" Then $str2 = "BC"
		If $str = "64" Then $str2 = "BD"
		If $str = "DF" Then $str2 = "BE"
		If $str = "95" Then $str2 = "BF"
		If $str = "DA" Then $str2 = "C0"
		If $str = "5D" Then $str2 = "C1"
		If $str = "A3" Then $str2 = "C2"
		If $str = "B0" Then $str2 = "C3"
		If $str = "6F" Then $str2 = "C4"
		If $str = "19" Then $str2 = "C5"
		If $str = "B6" Then $str2 = "C6"
		If $str = "55" Then $str2 = "C7"
		If $str = "6C" Then $str2 = "C8"
		If $str = "BC" Then $str2 = "C9"
		If $str = "91" Then $str2 = "CA"
		If $str = "82" Then $str2 = "CB"
		If $str = "17" Then $str2 = "CC"
		If $str = "F8" Then $str2 = "CD"
		If $str = "A7" Then $str2 = "CE"
		If $str = "E9" Then $str2 = "CF"
		If $str = "88" Then $str2 = "D0"
		If $str = "80" Then $str2 = "D1"
		If $str = "22" Then $str2 = "D2"
		If $str = "71" Then $str2 = "D3"
		If $str = "3F" Then $str2 = "D4"
		If $str = "DB" Then $str2 = "D5"
		If $str = "CC" Then $str2 = "D6"
		If $str = "4D" Then $str2 = "D7"
		If $str = "0A" Then $str2 = "D8"
		If $str = "9E" Then $str2 = "D9"
		If $str = "36" Then $str2 = "DA"
		If $str = "EF" Then $str2 = "DB"
		If $str = "AF" Then $str2 = "DC"
		If $str = "77" Then $str2 = "DD"
		If $str = "89" Then $str2 = "DE"
		If $str = "34" Then $str2 = "DF"
		If $str = "43" Then $str2 = "E0"
		If $str = "AA" Then $str2 = "E1"
		If $str = "F2" Then $str2 = "E2"
		If $str = "29" Then $str2 = "E3"
		If $str = "FE" Then $str2 = "E4"
		If $str = "79" Then $str2 = "E5"
		If $str = "E5" Then $str2 = "E6"
		If $str = "A9" Then $str2 = "E7"
		If $str = "65" Then $str2 = "E8"
		If $str = "76" Then $str2 = "E9"
		If $str = "62" Then $str2 = "EA"
		If $str = "7A" Then $str2 = "EB"
		If $str = "87" Then $str2 = "EC"
		If $str = "56" Then $str2 = "ED"
		If $str = "00" Then $str2 = "EE"
		If $str = "F6" Then $str2 = "EF"
		If $str = "FF" Then $str2 = "F0"
		If $str = "C0" Then $str2 = "F1"
		If $str = "C5" Then $str2 = "F2"
		If $str = "6B" Then $str2 = "F3"
		If $str = "F3" Then $str2 = "F4"
		If $str = "3C" Then $str2 = "F5"
		If $str = "B8" Then $str2 = "F6"
		If $str = "06" Then $str2 = "F7"
		If $str = "9B" Then $str2 = "F8"
		If $str = "FA" Then $str2 = "F9"
		If $str = "7B" Then $str2 = "FA"
		If $str = "2E" Then $str2 = "FB"
		If $str = "93" Then $str2 = "FC"
		If $str = "33" Then $str2 = "FD"
		If $str = "DC" Then $str2 = "FE"
		If $str = "E8" Then $str2 = "FF"
		FileWrite($output, Chr(Dec($str2)))
	Next
	FileClose($input)
	GuiCtrlSetState($but4, $GUI_ENABLE)
	GuiCtrlSetState($but5, $GUI_ENABLE)
	GuiCtrlSetState($but6, $GUI_ENABLE)
	GuiCtrlSetState($but7, $GUI_ENABLE)
EndFunc
;--------------------------------------------------------------------------
Func tabler()
	Dim $mz[256]
	Dim $narray[256]
	For $a = 255 To 0 Step - 1
		$mz[$a] = $a
	Next
	For $b = 0 To 255
		$ele = Random(0, UBound($mz) - 1, 1)
		$narray[$b] = $mz[$ele]
		_ArrayDelete($mz, $ele)
	Next
	_Display($narray, "")
EndFunc

Func _Display(Const ByRef $avArray, $sTitle)
	Local $iCounter = 0, $sMsg = ""
	For $iCounter = 0 To UBound($avArray) - 1
		$sMsg = StringStripCR($avArray[$iCounter]) & @CRLF
		$rta = _StringToHex(Chr($iCounter))
		$rti = _StringToHex(Chr($sMsg))
		FileWrite("encrypt.txt", "If $str = ")
		FileWrite("encrypt.txt", '"' & $rta)
		FileWrite("encrypt.txt", '" ' & "Then $str2 = ")
		FileWrite("encrypt.txt", '"' & $rti & '"')
		FileWrite("encrypt.txt", @CRLF)
	Next
	For $i = 1 To _FileCountLines("encrypt.txt")
		$rde = FileReadLine("encrypt.txt", $i)
		$trim = StringTrimLeft($rde, 10)
		$trip = StringTrimRight($trim, 17)
		$tris = StringTrimLeft($rde, 28)
		FileWrite("decrypt.txt", "If $str = ")
		FileWrite("decrypt.txt", $tris)
		FileWrite("decrypt.txt", " Then $str2 = ")
		FileWrite("decrypt.txt", $trip)
		FileWrite("decrypt.txt", @CRLF)
	Next
EndFunc

Func exitr()
	Exit
EndFunc